#include<stdio.h>

main(argc,argv)

	int	argc;
	char	*argv[];

{
	int	i,j,k;
	char	a,b,c;

	while((c=getchar())!=-1)
		if (c=='&') printf ("\n");
		else if (c=='+') printf (" ");
		else if (c=='%')
		{
			scanf("%2x",&k);
			/*
			if (k==58)
			{
				while(c!='&') c=getchar();
				printf ("\n");
			}
			else printf ("%c",k);
			*/
			printf ("%c",k);
		}
		else printf ("%c",c);
	printf ("\n");
}

	
